import javax.naming.InitialContext;

import javax.jms.*;

public class Receiver {
    public static void main(String[] args) throws Exception {
        // get the initial context
        InitialContext jndictx = new InitialContext();

        // lookup the queue object and connection factory
        Queue queue = (Queue) jndictx.lookup("dynamicQueues/KMA");
        ConnectionFactory connFactory = (ConnectionFactory) jndictx
            .lookup("ConnectionFactory");

        // close the naming context
        jndictx.close();

        // get the JMS context
        try (JMSContext ctx = connFactory.createContext()) {
            // create a consumer, configure it and get a message
            JMSConsumer consumer = ctx.createConsumer(queue);
            String body = consumer.receiveBody(String.class);

            // print what we got
            System.out.println("received: " + body);
        } catch (JMSRuntimeException e) {
            System.out.println("Problem with the JMS server: " + e);
        }
    }
}
