import javax.naming.InitialContext;

import javax.jms.*;

public class Sender {
    public static void main(String[] args) throws Exception {
        // get the initial context
        InitialContext jndictx = new InitialContext();

        // lookup the queue object and connection factory
        Queue queue = (Queue) jndictx.lookup("dynamicQueues/KMA");
        ConnectionFactory connFactory = (ConnectionFactory) jndictx
            .lookup("ConnectionFactory");

        // close the naming context
        jndictx.close();

        // get the JMS context
        try (JMSContext ctx = connFactory.createContext()) {
            // create a producer, configure it and send the message
            ctx.createProducer()
                .send(queue, "Hello");

            // print what we did
            System.out.println("Message sent");
        } catch (JMSRuntimeException e) {
            System.out.println("Problem with the JMS server: " + e);
        }
    }
}
